-- ----------------------------
-- Table structure for SYS_FORMS
-- ----------------------------
CREATE TABLE "SYS_FORMS" (
  "FORM_ID" NUMBER(38) NOT NULL ,
  "CODE" VARCHAR2(30 BYTE) NOT NULL ,
  "DESCRIPTION" VARCHAR2(220 BYTE) ,
  "CONTENT" CLOB ,
  "IS_PUBLISH" VARCHAR2(1 BYTE) DEFAULT 'N' ,
  "OBJECT_VERSION_NUMBER" NUMBER(38) DEFAULT 1 ,
  "REQUEST_ID" NUMBER(38) DEFAULT -1 ,
  "PROGRAM_ID" NUMBER(38) DEFAULT -1 ,
  "CREATED_BY" NUMBER(38) DEFAULT -1 ,
  "CREATION_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATED_BY" NUMBER(38) DEFAULT -1 ,
  "LAST_UPDATE_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATE_LOGIN" NUMBER(38) DEFAULT -1 ,
  "ATTRIBUTE_CATEGORY" VARCHAR2(30 BYTE) 
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYS_FORMS"."FORM_ID" IS '表单ID';
COMMENT ON COLUMN "SYS_FORMS"."CODE" IS '表单code';
COMMENT ON COLUMN "SYS_FORMS"."DESCRIPTION" IS '表单描述';
COMMENT ON COLUMN "SYS_FORMS"."CONTENT" IS '表单代码';
COMMENT ON COLUMN "SYS_FORMS"."IS_PUBLISH" IS '是否发布';

-- ----------------------------
-- Primary Key structure for table SYS_FORMS
-- ----------------------------
ALTER TABLE "SYS_FORMS" ADD CONSTRAINT "SYS_C00143827" PRIMARY KEY ("FORM_ID");

-- ----------------------------
-- Uniques structure for table SYS_FORMS
-- ----------------------------
ALTER TABLE "SYS_FORMS" ADD CONSTRAINT "SYS_C00143828" UNIQUE ("CODE") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Checks structure for table SYS_FORMS
-- ----------------------------
ALTER TABLE "SYS_FORMS" ADD CONSTRAINT "SYS_C00142447" CHECK ("FORM_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "SYS_FORMS" ADD CONSTRAINT "SYS_C00142448" CHECK ("CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "SYS_FORMS" ADD CONSTRAINT "SYS_C00143825" CHECK ("FORM_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "SYS_FORMS" ADD CONSTRAINT "SYS_C00143826" CHECK ("CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
