CREATE TABLE "SYS_ROLE_RESOURCE_ITEM" (
  "RSI_ID" NUMBER(38) NOT NULL ,
  "ROLE_ID" NUMBER(38) ,
  "RESOURCE_ITEM_ID" NUMBER(38) ,
  "OBJECT_VERSION_NUMBER" NUMBER(38) DEFAULT 1 ,
  "REQUEST_ID" NUMBER(38) DEFAULT -1 ,
  "PROGRAM_ID" NUMBER(38) DEFAULT -1 ,
  "CREATED_BY" NUMBER(38) DEFAULT -1 ,
  "CREATION_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATED_BY" NUMBER(38) DEFAULT -1 ,
  "LAST_UPDATE_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATE_LOGIN" NUMBER(38) DEFAULT -1 ,
  "ATTRIBUTE_CATEGORY" VARCHAR2(30 BYTE) ,
  "ATTRIBUTE1" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE2" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE3" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE4" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE5" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE6" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE7" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE8" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE9" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE10" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE11" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE12" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE13" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE14" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE15" VARCHAR2(240 BYTE) 
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYS_ROLE_RESOURCE_ITEM"."RSI_ID" IS '表ID，主键';
COMMENT ON COLUMN "SYS_ROLE_RESOURCE_ITEM"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "SYS_ROLE_RESOURCE_ITEM"."RESOURCE_ITEM_ID" IS '功能控件ID';

-- ----------------------------
-- Primary Key structure for table SYS_ROLE_RESOURCE_ITEM
-- ----------------------------
ALTER TABLE "SYS_ROLE_RESOURCE_ITEM" ADD CONSTRAINT "SYS_ROLE_RESOURCE_ITEM_PK" PRIMARY KEY ("RSI_ID");

-- ----------------------------
-- Uniques structure for table SYS_ROLE_RESOURCE_ITEM
-- ----------------------------
ALTER TABLE "SYS_ROLE_RESOURCE_ITEM" ADD CONSTRAINT "SYS_ROLE_RESOURCE_ITEM_U1" UNIQUE ("ROLE_ID", "RESOURCE_ITEM_ID") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_ROLE_RESOURCE_ITEM
-- ----------------------------
CREATE INDEX "SYS_ROLE_RESOURCE_ITEM_N1"
  ON "SYS_ROLE_RESOURCE_ITEM" ("ROLE_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  BUFFER_POOL DEFAULT
);
CREATE SEQUENCE  "SYS_ROLE_RESOURCE_ITEM_S"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 10001 CACHE 20 NOORDER  NOCYCLE